
Robot Control Interface - Bug #1007
Cannot compile with clang on precise
06/19/2012 03:36 PM - A. Tuleu

Status: Closed Start date: 06/19/2012
Priority: Normal Due date:
Assignee: A. Tuleu % Done: 0%
Category: Estimated time: 0.00 hour
Target version: rci0.4
Description

using the precise packages (no CCA installed):

    -  clang : 3.0-6ubuntu3
    -  cmake : 2.8.7-0ubuntu4
    -  nemomath : 0.3 (from packages.cor-lab.org)
    -  rsc : 0.7.0 (from packages.cor-lab.org)
    -  libboost-dev : 1.48.0.2

When I do :

export CC=/usr/bin/clang
export CXX=/usr/bin/clang++
cmake .
make

Then I got the following errors in the attached file.

Related issues:
Related to Robot Control Interface - Bug # 1374: RCI trunk doesn't build on Mac Resolved 01/30/2013

Associated revisions
Revision 602 - 06/26/2012 04:38 PM - A. Tuleu

Removed boost::shared_ptr and use std::tr1::shared_ptr instead

fixes #1007

History
#1 - 06/21/2012 01:34 PM - A. Tuleu

Small update.

Actually previous statement was wrong, the package build from ci.cor-lab.de install by default libboost1.46, which is not compatible with clang

I removed libboost1.46, and I successfully (but with lot of warning escaped by gcc) compiled with clang the following svn/git latest revision/HEAD
version :

    -  rsc : some warning about an unused parameter in a function call
    -  nemomath : one recurrent waring about an unused parameter in a function call
    -  rci : lot of warning about some overloading of virtual function. It seems really nasty warnings
    -  liboncilla.

So :

    -  dependency of debian package should be checked for precise
    -  some of the warning could be addressed for the given project.

#2 - 06/26/2012 04:38 PM - A. Tuleu
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r602.

#3 - 06/27/2012 04:48 PM - Anonymous
- Status changed from Resolved to New
- Assignee set to A. Tuleu
- % Done changed from 100 to 0

r602 needs to be rolled-back, since breaking compatibility with rsb remote transport (could be resolved in rci-rst converters, but would decrease
runtime-performance).

#4 - 08/12/2013 02:06 PM - Anonymous
- Target version set to rci0.4

#5 - 09/02/2013 11:18 AM - Anonymous
- Status changed from New to Closed

Files
error.txt 12.8 KB 06/19/2012 A. Tuleu
